const todos = [{
    text: 'Order cat food',
    completed: false
}, {
    text: 'Clean kitchen',
    completed: true
}, {
    text: 'Buy food',
    completed: true
}, {
    text: 'Do work',
    completed: false
}, {
    text: 'Exercise',
    completed: true
}]

const ps = document.querySelectorAll('p')

ps.forEach(function (p) {
    if (p.textContent.includes("the")) {
        p.remove();
    }
})

// Add a new element
const newParagraph =  document.createElement('p')
newParagraph.textContent = 'This is a new element from JavaScript'
document.querySelector('body').appendChild(newParagraph)

// You have 2 todos left
// Add a p for each todo above

const incompleteTodos = todos.filter(function (todo) {
    return !todo.completed;
})

const summary = document.createElement('h2');
summary.textContent = `You have ${incompleteTodos.length} todos left`; // Template literals (template string)
document.querySelector('body').appendChild(summary);

todos.forEach(function (todo) {
    const p = document.createElement('p');
    p.textContent = todo.text;
    document.querySelector('body').appendChild(p)
})